routes/admin.php
<?php

/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register admin routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\ProductController;
use App\Http\Resources\OrderCollection;
use Illuminate\Support\Facades\Route;
Auth::routes(['verify' => true]);
Route::post('/aiz-uploader', 'AizUploadController@show_uploader');
Route::post('/aiz-uploader/upload', 'AizUploadController@upload');
Route::get('/aiz-uploader/get_uploaded_files', 'AizUploadController@get_uploaded_files');
Route::post('/aiz-uploader/get_file_by_ids', 'AizUploadController@get_preview_files');
Route::get('/aiz-uploader/download/{id}', 'AizUploadController@attachment_download')->name('download_attachment');
Route::post('/aiz-uploader/uploadSummernote', 'AizUploadController@uploadSummernote');

Route::get('/admin/dashboard', 'HomeController@admin_dashboard')->name('admin.dashboard')->middleware(['auth', 'admin','permission']);
Route::group(['prefix' => 'admin', 'middleware' => ['auth', 'admin','preventBackHistory']], function () {
    //Update Routes
    Route::resource('categories', 'CategoryController')->middleware('permission');
    Route::resource('categories', 'CategoryController')->middleware('permission');
    Route::get('/categories/edit/{id}', 'CategoryController@edit')->name('categories.edit')->middleware('permission');
    Route::post('/categories/editpri/{id}', 'CategoryController@updatePrimary')->name('categories.editpri')->middleware('permission');
    Route::post('/categories/editchild/{id}', 'CategoryController@updateChild')->name('categories.editchild')->middleware('permission');
    Route::get('/categories/destroy/{id}', 'CategoryController@destroy')->name('categories.destroy')->middleware('permission');
    Route::get('/categories/deletechild/{id}', 'CategoryController@deletechild')->name('categories.deletechild')->middleware('permission');
    Route::post('/categories/status/{id}', 'CategoryController@updateStatus')->name('categories.status')->middleware('permission');;
    Route::post('/categories/create', 'CategoryController@CreatePrimaryCategory')->name('categories.createprimary')->middleware('permission');
    Route::post('/categories/createchild', 'CategoryController@CreateChildCategory')->name('categories.createchild')->middleware('permission');
    Route::get('/categories/view/{id}', 'CategoryController@view')->name('categories.view')->middleware('permission');
    Route::get('/category/view/{id}/primary', 'CategoryController@getCategory')->name('categories.view.primary');
    Route::post('/category/check-validate', 'CategoryController@checkValidate')->name('categories.check-validate');

	//Route Products
	Route::prefix('products')->middleware('permission')->name('products.')->group(function(){
		Route::get('/', 'ProductController@admin_products')->name('index');
		Route::get('/{id}/detail', 'ProductController@detail')->name('detail');
		// Route::get('/12', 'UserController@index')->name('create');
		Route::get('/122', 'UserController@index')->name('todays_deal');
		Route::get('/1223', 'UserController@index')->name('published');
		Route::get('/12223', 'UserController@index')->name('featured');
		Route::get('/export', 'ProductController@export')->name('export');
		Route::delete('/products-delete/{id}', 'ProductController@delete')->name('delete');
		Route::post('/{id}/update', 'ProductController@update')->name('update');
		Route::post('/update-infor/{id}','ProductController@updateInfor')->name('updateInfor');
		Route::get('/status/{id}', 'ProductController@changeStatus')->name('status');
		Route::get('/status2/{id}', 'ProductController@changeStatus2')->name('status2');
		Route::post('/toggle-status/{id}','ProductController@toggleStatus')->name('toggle-status');
		Route::post('/update-skus/{id}','ProductController@updateSkus')->name('updateSkus');
		Route::post('/update-desc{id}','ProductController@updateDesc')->name('updateDesc');
		Route::post('validate-sku', 'ProductController@validateSku')->name('validateSku');
		Route::post('store','ProductController@store')->name('store');
		Route::get('create','ProductController@create')->name('create');
		Route::post('validate-detail-product','ProductController@validateDetailProduct')->name('validateDetailProduct');
		Route::post('validate-description','ProductController@validateDescription')->name('validateDescription');
		Route::delete('/delete-title/{id}', 'ProductController@deleteTitle')->name('deleteTitle');
		Route::post('update-image/{id}','ProductController@updateImageProduct')->name('updateImageProduct');
		Route::post('validated','ProductController@validatedProduct')->name('validatedProduct');

	});

	//Route User
	Route::get('users/{id}/detail', 'UserController@detail')->name('users.detail')->middleware('permission');
  	Route::get('users/export', 'UserController@export')->name('users.export')->middleware('permission');
	// Route::get('users/detail', 'UserController@detail')->name('users.detail');
	Route::get('users/export', 'UserController@export')->name('users.export')->middleware('permission');
	Route::resource('users', 'UserController')->middleware('permission');
	Route::get('users/ban/{customer}', 'UserController@ban')->name('users.ban')->middleware('permission');
	Route::delete('/users/destroy/{id}', 'UserController@destroy')->name('users.destroy')->middleware('permission');
	Route::get('/transactions', 'UserController@transactions')->name('users.transactions')->middleware('permission');
	Route::post('users/update-status/{id}', 'UserController@changeStatus')->name('users.updatestatus')->middleware('permission');
	Route::post('users/update-status-block/{id}', 'UserController@changeStatus2')->name('users.updatestatusblock')->middleware('permission');
	Route::post('users/update-information/{id}', 'UserController@update')->name('users.update')->middleware('permission');
	Route::post('users/update-business/{id}', 'UserController@updateimg')->name('users.updateimg')->middleware('permission');
	Route::delete('/users/{id}/detail', 'UserController@deleteImg')->name('users.deleteImg')->middleware('permission');



	//Route Order
	// Route::get('orders2', 'OrderController@index2') -> name ('orders2.index');
	Route::prefix('orders')->middleware('permission')->name('orders.')->group(function(){
		Route::get('/detail/{id}', 'OrderController@detail')->name('detail');
		Route::get('/', 'OrderController@index')->name('index');
		Route::get('/create', 'OrderController@create')->name('create');
		Route::get('/export', 'OrderController@export')->name('export');
		Route::delete('/delete-order/{id}', 'OrderController@deleteOrder')->name('deleteOrder');
		Route::post('/change-status-order/{id}','OrderController@changeStatusOrder')->name('changeStatusOrder');
		Route::post('/update-delivery/{id}','OrderController@updateDelivery')->name('updateDelivery');
		Route::post('store', 'OrderController@store')->name('store');
		Route::post('update-nfor/{id}', 'OrderController@updateInfor')->name('updateInfor');
		Route::post('update-delivery-method/{id}', 'OrderController@updateDeliveryMethod')->name('updateDeliveryMethod');
		Route::post('update-reason-cancel/{id}', 'OrderController@updateReasonCancel')->name('updateReasonCancel');
		Route::post('validate-order', 'OrderController@validateOrder')->name('validateOrder');
		Route::post('validate-delivery', 'OrderController@validateDelivery')->name('validateDelivery');
		Route::post('upload-imgsend','OrderController@uploadImgSend')->name('uploadImgSend');
		Route::post('/update-info-order/{id}','OrderController@updateInfoOrder')->name('updateInfoOrder');
        Route::post('refund','OrderController@refund')->name('refund');
		Route::post('/change-status-cancel/{id}','OrderController@changeStatusCancel')->name('changeStatusCancel');
		Route::post('/update-img-reason/{id}','OrderController@updateImgReason')->name('updateImgReason');
		Route::post('change-status-all-cancel/{id}','OrderController@changeStatusAllCancel')->name('changeStatusAllCancel');
		Route::post('validate-product','OrderCollection@validateProduct')->name('validateProduct');
		Route::post('/change-status-confirm-admin/{id}','OrderController@changestatusAdminConfirm')->name('changestatusAdminConfirm');
		Route::post('/change-status-unpaid/{id}','OrderController@changeStatusUnpaid')->name('changeStatusUnpaid');
		Route::post('validated','OrderController@validatedOrder')->name('validatedOrder');
	});




	//Route Banners
	Route::prefix('banners')->middleware('permission')->name('banners.')->group(function(){
		Route::get('/', 'BannerController@index')->name('index');
		Route::get('/{id}/detail', 'BannerController@detail')->name('detail');
		Route::get('/export', 'BannerController@export')->name('export');
		Route::delete('/delete-banners/{id}', 'BannerController@delete')->name('bannersDelete');
		Route::post('/status/{id}', 'BannerController@changeStatus')->name('status');
		Route::post('/update-info/{id}','BannerController@updateInfor')->name('updateInfor');
		Route::post('/update-collection/{id}','BannerController@updateCollection')->name('updateCollection');
		Route::get('/create','BannerController@create')->name('create');
		Route::post('/store','BannerController@store')->name('store');
		Route::post('check-store','BannerController@checkStore')->name('checkStore');
		Route::post('validate-banner-info','BannerController@validateBannerInfor')->name('validateBannerInfor');
		Route::post('validate-banner-collection','BannerController@validateBannerCollection')->name('validateBannerCollection');
		Route::post('change-status-1/{id}','BannerController@changeStatus1')->name('changeStatus1');
		Route::post('change-status-2/{id}','BannerController@changeStatus2')->name('changeStatus2');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use Illuminate\Support\Facades\Route;

Route::get('','FE\HomeController@index')->name('home');
Route::get('tin-tuc','FE\HomeController@news')->name('news');
Route::get('danh-muc-tin-tuc/{slug}','FE\HomeController@categoryNews')->name('news.category');
Route::get('tin-tuc/{slug}','FE\HomeController@detailNews')->name('news.detail');
Route::get('san-pham','FE\HomeController@products')->name('products');
Route::get('san-pham/{slug}','FE\HomeController@productsDetail')->name('products.detail');
Route::get('danh-muc-san-pham','FE\HomeController@categoryProduct')->name('products.category');
Route::get('danh-muc-san-pham/{slug}','FE\HomeController@categoryProductDetail')->name('products.category.detail');
Route::get('lien-he','FE\HomeController@contact')->name('contact');

Route::get('du-an','FE\HomeController@project')->name('projects');
Route::get('du-an/{slug}','FE\HomeController@projectDetail')->name('project.detail');

Route::get('logs', '\Rap2hpoutre\LaravelLogViewer\LogViewerController@index');

resources/views/frontend/user/seller/digitalproducts/products.blade.php
@extends('frontend.layouts.app')

@section('content')

    <section class="py-5">
        <div class="container">
            <div class="d-flex align-items-start">
                @include('frontend.inc.user_side_nav')

                <div class="aiz-user-panel">
                    <div class="aiz-titlebar mt-2 mb-4">
                      <div class="row align-items-center">
                        <div class="col-md-6">
                            <h1 class="h3">{{ translate('Products') }}</h1>
                        </div>
                      </div>
                    </div>

                    <div class="row gutters-10 justify-content-center">
                        @if (\App\Addon::where('unique_identifier', 'seller_subscription')->first() != null && \App\Addon::where('unique_identifier', 'seller_subscription')->first()->activated)
                            <div class="col-md-4 mx-auto mb-3" >
                                <div class="bg-grad-1 text-white rounded-lg overflow-hidden">
                                  <span class="size-30px rounded-circle mx-auto bg-soft-primary d-flex align-items-center justify-content-center mt-3">
                                      <i class="las la-upload la-2x text-white"></i>
                                  </span>
                                  <div class="px-3 pt-3 pb-3">
                                      <div class="h4 fw-700 text-center">{{ max(0, Auth::user()->seller->remaining_digital_uploads) }}</div>
                                      <div class="opacity-50 text-center">{{  translate('Remaining Uploads') }}</div>
                                  </div>
                                </div>
                            </div>
                        @endif


                        <div class="col-md-4 mx-auto mb-3" >
                            <a href="{{ route('seller.digitalproducts.upload')}}">
                              <div class="p-3 rounded mb-3 c-pointer text-center bg-white shadow-sm hov-shadow-lg has-transition">
                                  <span class="size-60px rounded-circle mx-auto bg-secondary d-flex align-items-center justify-content-center mb-3">
                                      <i class="las la-plus la-3x text-white"></i>
                                  </span>
                                  <div class="fs-18 text-primary">{{ translate('Add New Digital Product') }}</div>
                              </div>
                            </a>
                        </div>

                        @if (\App\Addon::where('unique_identifier', 'seller_subscription')->first() != null && \App\Addon::where('unique_identifier', 'seller_subscription')->first()->activated)
                        @php
                            $seller_package = \App\SellerPackage::find(Auth::user()->seller->seller_package_id);
                        @endphp
                            <div class="col-md-4">
                                <a href="{{ route('seller_packages_list') }}" class="text-center bg-white shadow-sm hov-shadow-lg text-center d-block p-3 rounded">
                                    @if($seller_package != null)
                                        <img src="{{ uploaded_asset($seller_package->logo) }}" height="44" class="mw-100 mx-auto">
                                        <span class="d-block sub-title mb-2">{{ translate('Current Package')}}: {{ $seller_package->getTranslation('name') }}</span>
                                    @else
                                        <i class="la la-frown-o mb-2 la-3x"></i>
                                        <div class="d-block sub-title mb-2">{{ translate('No Package Found')}}</div>
                                    @endif
                                    <div class="btn btn-outline-primary py-1">{{ translate('Upgrade Package')}}</div>
                                </a>
                            </div>
                        @endif
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <div class="col text-center text-md-left">
                                <h5 class="mb-md-0 h6">{{ translate('All Products') }}</h5>
                            </div>
                        </div>
                        <div class="card-body">
                            <table class="table aiz-table mb-0">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th width="30%">{{ translate('Name')}}</th>
                                        <th data-breakpoints="md">{{ translate('Category')}}</th>
                                        <th data-breakpoints="md">{{ translate('Base Price')}}</th>
                                        <th data-breakpoints="md">{{ translate('Published')}}</th>
                                        <th data-breakpoints="md">{{ translate('Featured')}}</th>
                                        <th>{{ translate('Options')}}</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @foreach ($products as $key => $product)
                                        <tr>
                                            <td>{{ $key+1 }}</td>
                                            <td><a href="{{ route('product', $product->slug) }}" target="_blank">{{   $product->getTranslation('name')  }}</a></td>
                                            <td>
                                                <a href="{{ route('product', $product->slug) }}" target="_blank" class="text-reset">
                                                    {{ $product->getTranslation('name') }}
                                                </a>
                                            </td>
                                            <td>{{ $product->unit_price }}</td>
                                            <td><label class="aiz-switch aiz-switch-success mb-0">
                                                <input onchange="update_published(this)" value="{{ $product->id }}" type="checkbox" <?php if($product->published == 1) echo "checked";?> >
                                                <span class="slider round"></span></label>
                                            </td>
                                            <td><label class="aiz-switch aiz-switch-success mb-0">
                                                <input onchange="update_featured(this)" value="{{ $product->id }}" type="checkbox" <?php if($product->featured == 1) echo "checked";?> >
                                                <span class="slider round"></span></label>
                                            </td>
                                            <td class="text-right">
                                                <a href="{{route('seller.digitalproducts.edit',  ['id'=>$product->id, 'lang'=>env('DEFAULT_LANGUAGE')] )}}" class="btn btn-soft-info btn-icon btn-circle btn-sm" title="{{ translate('Edit') }}">
                                                  <i class="las la-edit"></i>
                                                </a>
                                                <a class="btn btn-soft-success btn-icon btn-circle btn-sm" href="{{route('digitalproducts.download', encrypt($product->id))}}" title="{{ translate('Download') }}">
                                                    <i class="las la-download"></i>
                                                </a>
                                                <a href="javascript:void(0)" class="btn btn-soft-danger btn-icon btn-circle btn-sm confirm-delete" data-href="{{route('digitalproducts.destroy', $product->id)}}" title="{{ translate('Delete') }}">
                                                  <i class="las la-trash"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            <div class="aiz-pagination">
                                {{ $products->links() }}
                          	</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endsection

@section('modal')
    @include('modals.delete_modal')
@endsection

@section('script')
    <script type="text/javascript">
        function update_featured(el){
            if(el.checked){
                var status = 1;
            }
            else{
                var status = 0;
            }
            $.post('{{ route('products.featured') }}', {_token:'{{ csrf_token() }}', id:el.value, status:status}, function(data){
                if(data == 1){
                    AIZ.plugins.notify('success', '{{ translate('Featured products updated successfully') }}');
                }
                else{
                    AIZ.plugins.notify('danger', '{{ translate('Something went wrong') }}');
                }
            });
        }

        function update_published(el){
            if(el.checked){
                var status = 1;
            }
            else{
                var status = 0;
            }
            $.post('{{ route('products.published') }}', {_token:'{{ csrf_token() }}', id:el.value, status:status}, function(data){
                if(data == 1){
                    AIZ.plugins.notify('success', '{{ translate('Published products updated successfully') }}');
                }
                else{
                    AIZ.plugins.notify('danger', '{{ translate('Something went wrong') }}');
                }
            });
        }
    </script>
@endsection